## ruby-gnome2 2.2.5

=== gio2/Makefile ===
all:
	(cd ext/gio2 && $(MAKE))
	$(MAKE) -f Makefile.lib

install:
	(cd ext/gio2 && $(MAKE) install)
	$(MAKE) -f Makefile.lib install

site-install:
	(cd ext/gio2 && $(MAKE) site-install)
	$(MAKE) -f Makefile.lib site-install

clean:
	(cd ext/gio2 && $(MAKE) clean)
	$(MAKE) -f Makefile.lib clean

distclean:
	(cd ext/gio2 && $(MAKE) distclean)
	$(MAKE) -f Makefile.lib distclean
	@rm -f Makefile.lib

=== glib2/Makefile ===
all:
	(cd ext/glib2 && $(MAKE))
	$(MAKE) -f Makefile.lib

install:
	(cd ext/glib2 && $(MAKE) install)
	$(MAKE) -f Makefile.lib install

site-install:
	(cd ext/glib2 && $(MAKE) site-install)
	$(MAKE) -f Makefile.lib site-install

clean:
	(cd ext/glib2 && $(MAKE) clean)
	$(MAKE) -f Makefile.lib clean

distclean:
	(cd ext/glib2 && $(MAKE) distclean)
	$(MAKE) -f Makefile.lib distclean
	@rm -f Makefile.lib

=== gobject-introspection/Makefile ===
all:
	(cd ext/gobject-introspection && $(MAKE))
	$(MAKE) -f Makefile.lib

install:
	(cd ext/gobject-introspection && $(MAKE) install)
	$(MAKE) -f Makefile.lib install

site-install:
	(cd ext/gobject-introspection && $(MAKE) site-install)
	$(MAKE) -f Makefile.lib site-install

clean:
	(cd ext/gobject-introspection && $(MAKE) clean)
	$(MAKE) -f Makefile.lib clean

distclean:
	(cd ext/gobject-introspection && $(MAKE) distclean)
	$(MAKE) -f Makefile.lib distclean
	@rm -f Makefile.lib

=== gio2/ext/gio2/Makefile ===

SHELL = /bin/sh

# V=0 quiet, V=1 verbose.  other values don't work.
V = 0
Q1 = $(V:1=)
Q = $(Q1:0=@)
ECHO1 = $(V:1=@:)
ECHO = $(ECHO1:0=@echo)

#### Start of system configuration section. ####

srcdir = /home/kou/work/ruby/ruby-gnome2.clean/gio2/ext/gio2
topdir = /usr/include/ruby-2.1.0
hdrdir = $(topdir)
arch_hdrdir = /usr/include/x86_64-linux-gnu/ruby-2.1.0
PATH_SEPARATOR = :
VPATH = $(srcdir):$(arch_hdrdir)/ruby:$(hdrdir)/ruby
prefix = $(DESTDIR)/usr
rubysitearchprefix = $(sitearchlibdir)/$(RUBY_BASE_NAME)
rubyarchprefix = $(archlibdir)/$(RUBY_BASE_NAME)
rubylibprefix = $(libdir)/$(RUBY_BASE_NAME)
exec_prefix = $(prefix)
vendorarchhdrdir = $(sitearchincludedir)/$(RUBY_VERSION_NAME)/vendor_ruby
sitearchhdrdir = $(sitearchincludedir)/$(RUBY_VERSION_NAME)/site_ruby
rubyarchhdrdir = $(archincludedir)/$(RUBY_VERSION_NAME)
vendorhdrdir = $(rubyhdrdir)/vendor_ruby
sitehdrdir = $(rubyhdrdir)/site_ruby
rubyhdrdir = $(includedir)/$(RUBY_VERSION_NAME)
vendorarchdir = $(rubysitearchprefix)/vendor_ruby/$(ruby_version)
vendorlibdir = $(vendordir)/$(ruby_version)
vendordir = $(rubylibprefix)/vendor_ruby
sitearchdir = $(DESTDIR)/usr/local/lib/x86_64-linux-gnu/site_ruby
sitelibdir = $(sitedir)/$(ruby_version)
sitedir = $(DESTDIR)/usr/local/lib/site_ruby
rubyarchdir = $(rubyarchprefix)/$(ruby_version)
rubylibdir = $(rubylibprefix)/$(ruby_version)
sitearchincludedir = $(includedir)/$(sitearch)
archincludedir = $(includedir)/$(arch)
sitearchlibdir = $(libdir)/$(sitearch)
archlibdir = $(libdir)/$(arch)
ridir = $(datarootdir)/$(RI_BASE_NAME)
mandir = $(prefix)/share/man
localedir = $(datarootdir)/locale
libdir = $(exec_prefix)/lib
psdir = $(docdir)
pdfdir = $(docdir)
dvidir = $(docdir)
htmldir = $(docdir)
infodir = $(prefix)/share/info
docdir = $(datarootdir)/doc/$(PACKAGE)
oldincludedir = $(DESTDIR)/usr/include
includedir = $(prefix)/include
localstatedir = $(DESTDIR)/var
sharedstatedir = $(prefix)/com
sysconfdir = $(DESTDIR)/etc
datadir = $(datarootdir)
datarootdir = $(prefix)/share
libexecdir = $(prefix)/lib/ruby2.1
sbindir = $(exec_prefix)/sbin
bindir = $(exec_prefix)/bin
archdir = $(rubyarchdir)


CC = gcc
CXX = g++
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static
empty =
OUTFLAG = -o $(empty)
COUTFLAG = -o $(empty)

RUBY_EXTCONF_H = 
cflags   =  $(optflags) $(debugflags) $(warnflags)
optflags = -O3 -fno-fast-math
debugflags = -ggdb3
warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wunused-variable -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration
CCDLFLAGS = -fPIC
CFLAGS   = $(CCDLFLAGS) -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wall -Waggregate-return -Wcast-align -Wextra -Wformat=2 -Winit-self -Wlarger-than-65500 -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wold-style-definition -Wpacked -Wp,-D_FORTIFY_SOURCE=2 -Wpointer-arith -Wswitch-default -Wswitch-enum -Wundef -Wunsafe-loop-optimizations -Wwrite-strings -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include $(ARCH_FLAG)
INCFLAGS = -I. -I/home/kou/work/ruby/ruby-gnome2.clean/gobject-introspection/ext/gobject-introspection -I/home/kou/work/ruby/ruby-gnome2.clean/gobject-introspection/ext/gobject-introspection -I/home/kou/work/ruby/ruby-gnome2.clean/gobject-introspection/ext/gobject-introspection -I/home/kou/work/ruby/ruby-gnome2.clean/gobject-introspection/ext/gobject-introspection -I/var/lib/gems/2.1.0/gems/gobject-introspection-2.2.3/ext/gobject-introspection -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/var/lib/gems/2.1.0/gems/glib2-2.2.3/ext/glib2 -I$(arch_hdrdir) -I$(hdrdir)/ruby/backward -I$(hdrdir) -I$(srcdir) -I$(vendorarchdir) 
DEFS     = 
CPPFLAGS = -DHAVE_RB_DEFINE_ALLOC_FUNC -DHAVE_RB_BLOCK_PROC -DHAVE_OBJECT_ALLOCATE -DRUBY_GIO2_COMPILATION -D_FORTIFY_SOURCE=2 $(DEFS) $(cppflags)
CXXFLAGS = $(CCDLFLAGS) -g -O2 -fstack-protector-strong -Wformat -Werror=format-security $(ARCH_FLAG)
ldflags  = -L. -Wl,-z,relro -L/build/ruby2.1-64qTCU/ruby2.1-2.1.5/debian/lib -fstack-protector -rdynamic -Wl,-export-dynamic -L/usr/lib/x86_64-linux-gnu -L/usr/lib/x86_64-linux-gnu
dldflags =  
ARCH_FLAG = 
DLDFLAGS = $(ldflags) $(dldflags) $(ARCH_FLAG)
LDSHARED = $(CC) -shared
LDSHAREDXX = $(CXX) -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby2.1
RUBY_SO_NAME = ruby-2.1
RUBYW_INSTALL_NAME = 
RUBY_VERSION_NAME = $(RUBY_BASE_NAME)-$(ruby_version)
RUBYW_BASE_NAME = rubyw
RUBY_BASE_NAME = ruby

arch = x86_64-linux-gnu
sitearch = $(arch)
ruby_version = 2.1.0
ruby = $(bindir)/ruby2.1
RUBY = $(ruby)
ruby_headers = $(hdrdir)/ruby.h $(hdrdir)/ruby/ruby.h $(hdrdir)/ruby/defines.h $(hdrdir)/ruby/missing.h $(hdrdir)/ruby/intern.h $(hdrdir)/ruby/st.h $(hdrdir)/ruby/subst.h $(arch_hdrdir)/ruby/config.h

RM = rm -f
RM_RF = $(RUBY) -run -e rm -- -rf
RMDIRS = rmdir --ignore-fail-on-non-empty -p
MAKEDIRS = /bin/mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp
TOUCH = exit >

#### End of system configuration section. ####

preload = 

libpath = . $(archlibdir)
LIBPATH =  -L. -L$(archlibdir)
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = ruby-gio2.pc
DISTCLEANDIRS = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lgio-2.0 -lglib-2.0 -lgobject-2.0 -lgirepository-1.0 -lglib-2.0 -lgobject-2.0 -lpthread -lgmp -ldl -lcrypt -lm   -lc
ORIG_SRCS = rb-gio2-pollable-source.c rb-gio2.c
SRCS = $(ORIG_SRCS) 
OBJS = rb-gio2-pollable-source.o rb-gio2.o
HDRS = $(srcdir)/rb-gio2.h
TARGET = gio2
TARGET_NAME = gio2
TARGET_ENTRY = Init_$(TARGET_NAME)
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

TIMESTAMP_DIR = .
BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)
HDRDIR        = $(rubyhdrdir)/ruby$(target_prefix)
ARCHHDRDIR    = $(rubyhdrdir)/$(arch)/ruby$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so 
CLEANOBJS     = *.o  *.bak

all:    $(DLLIB)
static: $(STATIC_LIB)
.PHONY: all install static install-so install-rb
.PHONY: clean clean-so clean-static clean-rb

clean-static::
clean-rb-default::
clean-rb::
clean-so::
clean: clean-so clean-static clean-rb-default clean-rb
		-$(Q)$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES) .*.time

distclean-rb-default::
distclean-rb::
distclean-so::
distclean-static::
distclean: clean distclean-so distclean-static distclean-rb-default distclean-rb
		-$(Q)$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		-$(Q)$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
		-$(Q)$(RMDIRS) $(DISTCLEANDIRS) 2> /dev/null || true

realclean: distclean
install: install-so install-rb

install-so: $(DLLIB) $(TIMESTAMP_DIR)/.RUBYARCHDIR.time
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
clean-static::
	-$(Q)$(RM) $(STATIC_LIB)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
pre-install-rb-default:
	$(ECHO) installing default gio2 libraries
$(TIMESTAMP_DIR)/.RUBYARCHDIR.time:
	$(Q) $(MAKEDIRS) $(@D) $(RUBYARCHDIR)
	$(Q) $(TOUCH) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .mm .cxx .cpp .C .o

.cc.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.mm.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cxx.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cpp.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.C.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.c.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

.m.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

$(DLLIB): $(OBJS) Makefile
	$(ECHO) linking shared-object $(DLLIB)
	-$(Q)$(RM) $(@)
	$(Q) $(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



###
install: install-pc
install-pc:
	if test -n "$(pkgconfigdir)"; then			\
	  $(MAKEDIRS) $(pkgconfigdir);				\
	  $(INSTALL_DATA) ruby-gio2.pc $(pkgconfigdir);		\
	fi

=== glib2/ext/glib2/Makefile ===

SHELL = /bin/sh

# V=0 quiet, V=1 verbose.  other values don't work.
V = 0
Q1 = $(V:1=)
Q = $(Q1:0=@)
ECHO1 = $(V:1=@:)
ECHO = $(ECHO1:0=@echo)

#### Start of system configuration section. ####

srcdir = /home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2
topdir = /usr/include/ruby-2.1.0
hdrdir = $(topdir)
arch_hdrdir = /usr/include/x86_64-linux-gnu/ruby-2.1.0
PATH_SEPARATOR = :
VPATH = $(srcdir):$(arch_hdrdir)/ruby:$(hdrdir)/ruby
prefix = $(DESTDIR)/usr
rubysitearchprefix = $(sitearchlibdir)/$(RUBY_BASE_NAME)
rubyarchprefix = $(archlibdir)/$(RUBY_BASE_NAME)
rubylibprefix = $(libdir)/$(RUBY_BASE_NAME)
exec_prefix = $(prefix)
vendorarchhdrdir = $(sitearchincludedir)/$(RUBY_VERSION_NAME)/vendor_ruby
sitearchhdrdir = $(sitearchincludedir)/$(RUBY_VERSION_NAME)/site_ruby
rubyarchhdrdir = $(archincludedir)/$(RUBY_VERSION_NAME)
vendorhdrdir = $(rubyhdrdir)/vendor_ruby
sitehdrdir = $(rubyhdrdir)/site_ruby
rubyhdrdir = $(includedir)/$(RUBY_VERSION_NAME)
vendorarchdir = $(rubysitearchprefix)/vendor_ruby/$(ruby_version)
vendorlibdir = $(vendordir)/$(ruby_version)
vendordir = $(rubylibprefix)/vendor_ruby
sitearchdir = $(DESTDIR)/usr/local/lib/x86_64-linux-gnu/site_ruby
sitelibdir = $(sitedir)/$(ruby_version)
sitedir = $(DESTDIR)/usr/local/lib/site_ruby
rubyarchdir = $(rubyarchprefix)/$(ruby_version)
rubylibdir = $(rubylibprefix)/$(ruby_version)
sitearchincludedir = $(includedir)/$(sitearch)
archincludedir = $(includedir)/$(arch)
sitearchlibdir = $(libdir)/$(sitearch)
archlibdir = $(libdir)/$(arch)
ridir = $(datarootdir)/$(RI_BASE_NAME)
mandir = $(prefix)/share/man
localedir = $(datarootdir)/locale
libdir = $(exec_prefix)/lib
psdir = $(docdir)
pdfdir = $(docdir)
dvidir = $(docdir)
htmldir = $(docdir)
infodir = $(prefix)/share/info
docdir = $(datarootdir)/doc/$(PACKAGE)
oldincludedir = $(DESTDIR)/usr/include
includedir = $(prefix)/include
localstatedir = $(DESTDIR)/var
sharedstatedir = $(prefix)/com
sysconfdir = $(DESTDIR)/etc
datadir = $(datarootdir)
datarootdir = $(prefix)/share
libexecdir = $(prefix)/lib/ruby2.1
sbindir = $(exec_prefix)/sbin
bindir = $(exec_prefix)/bin
archdir = $(rubyarchdir)


CC = gcc
CXX = g++
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static
empty =
OUTFLAG = -o $(empty)
COUTFLAG = -o $(empty)

RUBY_EXTCONF_H = 
cflags   =  $(optflags) $(debugflags) $(warnflags)
optflags = -O3 -fno-fast-math
debugflags = -ggdb3
warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wunused-variable -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration
CCDLFLAGS = -fPIC
CFLAGS   = $(CCDLFLAGS) -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wall -Waggregate-return -Wcast-align -Wextra -Wformat=2 -Winit-self -Wlarger-than-65500 -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wold-style-definition -Wpacked -Wp,-D_FORTIFY_SOURCE=2 -Wpointer-arith -Wswitch-default -Wswitch-enum -Wundef -Wunsafe-loop-optimizations -Wwrite-strings -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include $(ARCH_FLAG)
INCFLAGS = -I. -I$(arch_hdrdir) -I$(hdrdir)/ruby/backward -I$(hdrdir) -I$(srcdir) -I$(vendorarchdir) 
DEFS     = 
CPPFLAGS = -DHAVE_RB_DEFINE_ALLOC_FUNC -DHAVE_RB_BLOCK_PROC -DHAVE_OBJECT_ALLOCATE -DHAVE_UNISTD_H -DHAVE_G_SPAWN_CLOSE_PID -DHAVE_G_THREAD_INIT -DHAVE_G_MAIN_DEPTH -DHAVE_G_LISTENV -DHAVE_RB_CHECK_ARRAY_TYPE -DHAVE_RB_CHECK_HASH_TYPE -DHAVE_RB_EXEC_RECURSIVE -DHAVE_RB_ERRINFO -DHAVE_RB_SOURCEFILE -DHAVE_RB_SOURCELINE -DHAVE_RB_THREAD_CALL_WITHOUT_GVL -DHAVE_RUBY_NATIVE_THREAD_P -DHAVE_RB_THREAD_CALL_WITH_GVL -DHAVE_RB_STR_NEW_CSTR -DHAVE_RB_GC_REGISTER_MARK_OBJECT -DHAVE_RB_EXC_NEW_STR -DRUBY_GLIB2_COMPILATION -D_FORTIFY_SOURCE=2 $(DEFS) $(cppflags)
CXXFLAGS = $(CCDLFLAGS) -g -O2 -fstack-protector-strong -Wformat -Werror=format-security $(ARCH_FLAG)
ldflags  = -L. -Wl,-z,relro -L/build/ruby2.1-64qTCU/ruby2.1-2.1.5/debian/lib -fstack-protector -rdynamic -Wl,-export-dynamic -L/usr/lib/x86_64-linux-gnu -L/usr/lib/x86_64-linux-gnu -pthread
dldflags =  
ARCH_FLAG = 
DLDFLAGS = $(ldflags) $(dldflags) $(ARCH_FLAG)
LDSHARED = $(CC) -shared
LDSHAREDXX = $(CXX) -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby2.1
RUBY_SO_NAME = ruby-2.1
RUBYW_INSTALL_NAME = 
RUBY_VERSION_NAME = $(RUBY_BASE_NAME)-$(ruby_version)
RUBYW_BASE_NAME = rubyw
RUBY_BASE_NAME = ruby

arch = x86_64-linux-gnu
sitearch = $(arch)
ruby_version = 2.1.0
ruby = $(bindir)/ruby2.1
RUBY = $(ruby)
ruby_headers = $(hdrdir)/ruby.h $(hdrdir)/ruby/ruby.h $(hdrdir)/ruby/defines.h $(hdrdir)/ruby/missing.h $(hdrdir)/ruby/intern.h $(hdrdir)/ruby/st.h $(hdrdir)/ruby/subst.h $(arch_hdrdir)/ruby/config.h

RM = rm -f
RM_RF = $(RUBY) -run -e rm -- -rf
RMDIRS = rmdir --ignore-fail-on-non-empty -p
MAKEDIRS = /bin/mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp
TOUCH = exit >

#### End of system configuration section. ####

preload = 

libpath = . $(archlibdir)
LIBPATH =  -L. -L$(archlibdir)
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = ruby-glib2.pc glib-enum-types.h glib-enum-types.c
DISTCLEANDIRS = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lgobject-2.0 -lglib-2.0 -lgthread-2.0 -lglib-2.0 -lpthread -lgmp -ldl -lcrypt -lm   -lc
ORIG_SRCS = rbgobj_value.c rbglibdeprecated.c rbglib_win32.c rbglib_mainloop.c rbgobj_convert.c rbglib_spawn.c rbglib_unicode.c rbglib_pollfd.c rbgobj_strv.c rbgutil.c rbglib_bookmarkfile.c rbglib_fileutils.c rbglib.c rbgobj_object.c rbglib_unichar.c rbgobj_valuearray.c rbgobj_typemodule.c rbglib_gettext.c rbglib_int64.c rbglib_iochannel_win32_socket.c rbglib_utf16.c rbgobj_signal.c rbglib_source.c rbglib_error.c rbgobj_closure.c rbglib_ucs4.c rbglib_threads.c rbgobj_param.c rbglib_shell.c glib-enum-types.c rbgobj_type.c rbglib_iochannel.c rbgobj_typeinstance.c rbglib_spawnerror.c rbgobject.c rbgobj_paramspecs.c rbgobj_flags.c rbgobj_enums.c rbgutildeprecated.c rbglib_iochannelerror.c rbglib_messages.c rbglib_utils.c rbgobj_typeinterface.c rbglib_maincontext.c rbglib_convert.c rbgutil_list.c rbgobj_enumflags.c rbglib_utf8.c rbglib_timer.c rbglib_i18n.c rbgutil_callback.c rbglib_keyfile.c rbgobj_typeplugin.c rbglib_io_constants.c rbglib_shellerror.c rbgobj_boxed.c rbgobj_valuetypes.c
SRCS = $(ORIG_SRCS) rbgobj_value.c rbglibdeprecated.c rbglib_win32.c rbglib_mainloop.c rbgobj_convert.c rbglib_spawn.c rbglib_unicode.c rbglib_pollfd.c rbgobj_strv.c rbgutil.c rbglib_bookmarkfile.c rbglib_fileutils.c rbglib.c rbgobj_object.c rbglib_unichar.c rbgobj_valuearray.c rbgobj_typemodule.c rbglib_gettext.c rbglib_int64.c rbglib_iochannel_win32_socket.c rbglib_utf16.c rbgobj_signal.c rbglib_source.c rbglib_error.c rbgobj_closure.c rbglib_ucs4.c rbglib_threads.c rbgobj_param.c rbglib_shell.c glib-enum-types.c rbgobj_type.c rbglib_iochannel.c rbgobj_typeinstance.c rbglib_spawnerror.c rbgobject.c rbgobj_paramspecs.c rbgobj_flags.c rbgobj_enums.c rbgutildeprecated.c rbglib_iochannelerror.c rbglib_messages.c rbglib_utils.c rbgobj_typeinterface.c rbglib_maincontext.c rbglib_convert.c rbgutil_list.c rbgobj_enumflags.c rbglib_utf8.c rbglib_timer.c rbglib_i18n.c rbgutil_callback.c rbglib_keyfile.c rbgobj_typeplugin.c rbglib_io_constants.c rbglib_shellerror.c rbgobj_boxed.c rbgobj_valuetypes.c
OBJS = rbgobj_value.o rbglibdeprecated.o rbglib_win32.o rbglib_mainloop.o rbgobj_convert.o rbglib_spawn.o rbglib_unicode.o rbglib_pollfd.o rbgobj_strv.o rbgutil.o rbglib_bookmarkfile.o rbglib_fileutils.o rbglib.o rbgobj_object.o rbglib_unichar.o rbgobj_valuearray.o rbgobj_typemodule.o rbglib_gettext.o rbglib_int64.o rbglib_iochannel_win32_socket.o rbglib_utf16.o rbgobj_signal.o rbglib_source.o rbglib_error.o rbgobj_closure.o rbglib_ucs4.o rbglib_threads.o rbgobj_param.o rbglib_shell.o glib-enum-types.o rbgobj_type.o rbglib_iochannel.o rbgobj_typeinstance.o rbglib_spawnerror.o rbgobject.o rbgobj_paramspecs.o rbgobj_flags.o rbgobj_enums.o rbgutildeprecated.o rbglib_iochannelerror.o rbglib_messages.o rbglib_utils.o rbgobj_typeinterface.o rbglib_maincontext.o rbglib_convert.o rbgutil_list.o rbgobj_enumflags.o rbglib_utf8.o rbglib_timer.o rbglib_i18n.o rbgutil_callback.o rbglib_keyfile.o rbgobj_typeplugin.o rbglib_io_constants.o rbglib_shellerror.o rbgobj_boxed.o rbgobj_valuetypes.o
HDRS = $(srcdir)/rbgutildeprecated.h $(srcdir)/rbglib.h $(srcdir)/rbglibdeprecated.h $(srcdir)/glib-enum-types.h $(srcdir)/rbgutil_list.h $(srcdir)/rbgprivate.h $(srcdir)/rbglib2conversions.h $(srcdir)/rbgobject.h $(srcdir)/rbgutil.h $(srcdir)/rbgcompat.h
TARGET = glib2
TARGET_NAME = glib2
TARGET_ENTRY = Init_$(TARGET_NAME)
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

TIMESTAMP_DIR = .
BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)
HDRDIR        = $(rubyhdrdir)/ruby$(target_prefix)
ARCHHDRDIR    = $(rubyhdrdir)/$(arch)/ruby$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so 
CLEANOBJS     = *.o  *.bak

all:    $(DLLIB)
static: $(STATIC_LIB)
.PHONY: all install static install-so install-rb
.PHONY: clean clean-so clean-static clean-rb

clean-static::
clean-rb-default::
clean-rb::
clean-so::
clean: clean-so clean-static clean-rb-default clean-rb
		-$(Q)$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES) .*.time

distclean-rb-default::
distclean-rb::
distclean-so::
distclean-static::
distclean: clean distclean-so distclean-static distclean-rb-default distclean-rb
		-$(Q)$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		-$(Q)$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
		-$(Q)$(RMDIRS) $(DISTCLEANDIRS) 2> /dev/null || true

realclean: distclean
install: install-so install-rb

install-so: $(DLLIB) $(TIMESTAMP_DIR)/.RUBYARCHDIR.time
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
clean-static::
	-$(Q)$(RM) $(STATIC_LIB)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
pre-install-rb-default:
	$(ECHO) installing default glib2 libraries
$(TIMESTAMP_DIR)/.RUBYARCHDIR.time:
	$(Q) $(MAKEDIRS) $(@D) $(RUBYARCHDIR)
	$(Q) $(TOUCH) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .mm .cxx .cpp .C .o

.cc.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.mm.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cxx.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cpp.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.C.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.c.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

.m.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

$(DLLIB): $(OBJS) Makefile
	$(ECHO) linking shared-object $(DLLIB)
	-$(Q)$(RM) $(@)
	$(Q) $(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



###
install-so: install-headers
install-headers:
	$(INSTALL_DATA) $(srcdir)/rbglib.h $(RUBYARCHDIR)
	$(INSTALL_DATA) $(srcdir)/rbglibdeprecated.h $(RUBYARCHDIR)
	$(INSTALL_DATA) $(srcdir)/rbglib2conversions.h $(RUBYARCHDIR)
	$(INSTALL_DATA) $(srcdir)/rbgutil.h $(RUBYARCHDIR)
	$(INSTALL_DATA) $(srcdir)/rbgutil_list.h $(RUBYARCHDIR)
	$(INSTALL_DATA) $(srcdir)/rbgutildeprecated.h $(RUBYARCHDIR)
	$(INSTALL_DATA) $(srcdir)/rbgobject.h $(RUBYARCHDIR)
	$(INSTALL_DATA) $(srcdir)/rbgcompat.h $(RUBYARCHDIR)

=== gobject-introspection/ext/gobject-introspection/Makefile ===

SHELL = /bin/sh

# V=0 quiet, V=1 verbose.  other values don't work.
V = 0
Q1 = $(V:1=)
Q = $(Q1:0=@)
ECHO1 = $(V:1=@:)
ECHO = $(ECHO1:0=@echo)

#### Start of system configuration section. ####

srcdir = /home/kou/work/ruby/ruby-gnome2.clean/gobject-introspection/ext/gobject-introspection
topdir = /usr/include/ruby-2.1.0
hdrdir = $(topdir)
arch_hdrdir = /usr/include/x86_64-linux-gnu/ruby-2.1.0
PATH_SEPARATOR = :
VPATH = $(srcdir):$(arch_hdrdir)/ruby:$(hdrdir)/ruby
prefix = $(DESTDIR)/usr
rubysitearchprefix = $(sitearchlibdir)/$(RUBY_BASE_NAME)
rubyarchprefix = $(archlibdir)/$(RUBY_BASE_NAME)
rubylibprefix = $(libdir)/$(RUBY_BASE_NAME)
exec_prefix = $(prefix)
vendorarchhdrdir = $(sitearchincludedir)/$(RUBY_VERSION_NAME)/vendor_ruby
sitearchhdrdir = $(sitearchincludedir)/$(RUBY_VERSION_NAME)/site_ruby
rubyarchhdrdir = $(archincludedir)/$(RUBY_VERSION_NAME)
vendorhdrdir = $(rubyhdrdir)/vendor_ruby
sitehdrdir = $(rubyhdrdir)/site_ruby
rubyhdrdir = $(includedir)/$(RUBY_VERSION_NAME)
vendorarchdir = $(rubysitearchprefix)/vendor_ruby/$(ruby_version)
vendorlibdir = $(vendordir)/$(ruby_version)
vendordir = $(rubylibprefix)/vendor_ruby
sitearchdir = $(DESTDIR)/usr/local/lib/x86_64-linux-gnu/site_ruby
sitelibdir = $(sitedir)/$(ruby_version)
sitedir = $(DESTDIR)/usr/local/lib/site_ruby
rubyarchdir = $(rubyarchprefix)/$(ruby_version)
rubylibdir = $(rubylibprefix)/$(ruby_version)
sitearchincludedir = $(includedir)/$(sitearch)
archincludedir = $(includedir)/$(arch)
sitearchlibdir = $(libdir)/$(sitearch)
archlibdir = $(libdir)/$(arch)
ridir = $(datarootdir)/$(RI_BASE_NAME)
mandir = $(prefix)/share/man
localedir = $(datarootdir)/locale
libdir = $(exec_prefix)/lib
psdir = $(docdir)
pdfdir = $(docdir)
dvidir = $(docdir)
htmldir = $(docdir)
infodir = $(prefix)/share/info
docdir = $(datarootdir)/doc/$(PACKAGE)
oldincludedir = $(DESTDIR)/usr/include
includedir = $(prefix)/include
localstatedir = $(DESTDIR)/var
sharedstatedir = $(prefix)/com
sysconfdir = $(DESTDIR)/etc
datadir = $(datarootdir)
datarootdir = $(prefix)/share
libexecdir = $(prefix)/lib/ruby2.1
sbindir = $(exec_prefix)/sbin
bindir = $(exec_prefix)/bin
archdir = $(rubyarchdir)


CC = gcc
CXX = g++
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static
empty =
OUTFLAG = -o $(empty)
COUTFLAG = -o $(empty)

RUBY_EXTCONF_H = 
cflags   =  $(optflags) $(debugflags) $(warnflags)
optflags = -O3 -fno-fast-math
debugflags = -ggdb3
warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wunused-variable -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration
CCDLFLAGS = -fPIC
CFLAGS   = $(CCDLFLAGS) -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wall -Waggregate-return -Wcast-align -Wextra -Wformat=2 -Winit-self -Wlarger-than-65500 -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wold-style-definition -Wpacked -Wp,-D_FORTIFY_SOURCE=2 -Wpointer-arith -Wswitch-default -Wswitch-enum -Wundef -Wunsafe-loop-optimizations -Wwrite-strings -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include $(ARCH_FLAG)
INCFLAGS = -I. -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/home/kou/work/ruby/ruby-gnome2.clean/glib2/ext/glib2 -I/var/lib/gems/2.1.0/gems/glib2-2.2.3/ext/glib2 -I$(arch_hdrdir) -I$(hdrdir)/ruby/backward -I$(hdrdir) -I$(srcdir) -I$(vendorarchdir) 
DEFS     = 
CPPFLAGS = -DHAVE_RB_DEFINE_ALLOC_FUNC -DHAVE_RB_BLOCK_PROC -DHAVE_OBJECT_ALLOCATE -DHAVE_G_INTERFACE_INFO_FIND_SIGNAL -DRUBY_GOBJECT_INTROSPECTION_COMPILATION -D_FORTIFY_SOURCE=2 $(DEFS) $(cppflags)
CXXFLAGS = $(CCDLFLAGS) -g -O2 -fstack-protector-strong -Wformat -Werror=format-security $(ARCH_FLAG)
ldflags  = -L. -Wl,-z,relro -L/build/ruby2.1-64qTCU/ruby2.1-2.1.5/debian/lib -fstack-protector -rdynamic -Wl,-export-dynamic -L/usr/lib/x86_64-linux-gnu
dldflags =  
ARCH_FLAG = 
DLDFLAGS = $(ldflags) $(dldflags) $(ARCH_FLAG)
LDSHARED = $(CC) -shared
LDSHAREDXX = $(CXX) -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby2.1
RUBY_SO_NAME = ruby-2.1
RUBYW_INSTALL_NAME = 
RUBY_VERSION_NAME = $(RUBY_BASE_NAME)-$(ruby_version)
RUBYW_BASE_NAME = rubyw
RUBY_BASE_NAME = ruby

arch = x86_64-linux-gnu
sitearch = $(arch)
ruby_version = 2.1.0
ruby = $(bindir)/ruby2.1
RUBY = $(ruby)
ruby_headers = $(hdrdir)/ruby.h $(hdrdir)/ruby/ruby.h $(hdrdir)/ruby/defines.h $(hdrdir)/ruby/missing.h $(hdrdir)/ruby/intern.h $(hdrdir)/ruby/st.h $(hdrdir)/ruby/subst.h $(arch_hdrdir)/ruby/config.h

RM = rm -f
RM_RF = $(RUBY) -run -e rm -- -rf
RMDIRS = rmdir --ignore-fail-on-non-empty -p
MAKEDIRS = /bin/mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp
TOUCH = exit >

#### End of system configuration section. ####

preload = 

libpath = . $(archlibdir)
LIBPATH =  -L. -L$(archlibdir)
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = rbgiversion.h gobject-introspection-enum-types.h gobject-introspection-enum-types.c ruby-gobject-introspection.pc
DISTCLEANDIRS = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lgirepository-1.0 -lglib-2.0 -lgobject-2.0 -lpthread -lgmp -ldl -lcrypt -lm   -lc
ORIG_SRCS = rb-gi-method-info.c rb-gi-constructor-info.c rb-gi-field-info.c rb-gi-callback-info.c rb-gi-registered-type-info.c rb-gi-type-tag.c rb-gi-object-info.c rb-gobject-introspection.c gobject-introspection-enum-types.c rb-gi-boxed-info.c rb-gi-vfunc-info.c rb-gi-signal-info.c rb-gi-constant-info.c rb-gi-flags-info.c rb-gi-property-info.c rb-gi-value-info.c rb-gi-enum-info.c rb-gi-loader.c rb-gi-interface-info.c rb-gi-argument.c rb-gi-arg-info.c rb-gi-repository.c rb-gi-type-info.c rb-gi-base-info.c rb-gi-unresolved-info.c rb-gi-function-info.c rb-gi-union-info.c rb-gi-struct-info.c rb-gi-callable-info.c
SRCS = $(ORIG_SRCS) rb-gi-method-info.c rb-gi-constructor-info.c rb-gi-field-info.c rb-gi-callback-info.c rb-gi-registered-type-info.c rb-gi-type-tag.c rb-gi-object-info.c rb-gobject-introspection.c gobject-introspection-enum-types.c rb-gi-boxed-info.c rb-gi-vfunc-info.c rb-gi-signal-info.c rb-gi-constant-info.c rb-gi-flags-info.c rb-gi-property-info.c rb-gi-value-info.c rb-gi-enum-info.c rb-gi-loader.c rb-gi-interface-info.c rb-gi-argument.c rb-gi-arg-info.c rb-gi-repository.c rb-gi-type-info.c rb-gi-base-info.c rb-gi-unresolved-info.c rb-gi-function-info.c rb-gi-union-info.c rb-gi-struct-info.c rb-gi-callable-info.c
OBJS = rb-gi-method-info.o rb-gi-constructor-info.o rb-gi-field-info.o rb-gi-callback-info.o rb-gi-registered-type-info.o rb-gi-type-tag.o rb-gi-object-info.o rb-gobject-introspection.o gobject-introspection-enum-types.o rb-gi-boxed-info.o rb-gi-vfunc-info.o rb-gi-signal-info.o rb-gi-constant-info.o rb-gi-flags-info.o rb-gi-property-info.o rb-gi-value-info.o rb-gi-enum-info.o rb-gi-loader.o rb-gi-interface-info.o rb-gi-argument.o rb-gi-arg-info.o rb-gi-repository.o rb-gi-type-info.o rb-gi-base-info.o rb-gi-unresolved-info.o rb-gi-function-info.o rb-gi-union-info.o rb-gi-struct-info.o rb-gi-callable-info.o
HDRS = $(srcdir)/gobject-introspection-enum-types.h $(srcdir)/rb-gi-types.h $(srcdir)/rb-gobject-introspection.h $(srcdir)/rbgiversion.h $(srcdir)/rb-gi-private.h $(srcdir)/rb-gi-conversions.h
TARGET = gobject_introspection
TARGET_NAME = gobject_introspection
TARGET_ENTRY = Init_$(TARGET_NAME)
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

TIMESTAMP_DIR = .
BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)
HDRDIR        = $(rubyhdrdir)/ruby$(target_prefix)
ARCHHDRDIR    = $(rubyhdrdir)/$(arch)/ruby$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so 
CLEANOBJS     = *.o  *.bak

all:    $(DLLIB)
static: $(STATIC_LIB)
.PHONY: all install static install-so install-rb
.PHONY: clean clean-so clean-static clean-rb

clean-static::
clean-rb-default::
clean-rb::
clean-so::
clean: clean-so clean-static clean-rb-default clean-rb
		-$(Q)$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES) .*.time

distclean-rb-default::
distclean-rb::
distclean-so::
distclean-static::
distclean: clean distclean-so distclean-static distclean-rb-default distclean-rb
		-$(Q)$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		-$(Q)$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
		-$(Q)$(RMDIRS) $(DISTCLEANDIRS) 2> /dev/null || true

realclean: distclean
install: install-so install-rb

install-so: $(DLLIB) $(TIMESTAMP_DIR)/.RUBYARCHDIR.time
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
clean-static::
	-$(Q)$(RM) $(STATIC_LIB)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
pre-install-rb-default:
	$(ECHO) installing default gobject_introspection libraries
$(TIMESTAMP_DIR)/.RUBYARCHDIR.time:
	$(Q) $(MAKEDIRS) $(@D) $(RUBYARCHDIR)
	$(Q) $(TOUCH) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .mm .cxx .cpp .C .o

.cc.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.mm.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cxx.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cpp.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.C.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.c.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

.m.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

$(DLLIB): $(OBJS) Makefile
	$(ECHO) linking shared-object $(DLLIB)
	-$(Q)$(RM) $(@)
	$(Q) $(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



###
install-so: install-headers
install-headers:
	$(INSTALL_DATA) $(srcdir)/rb-gobject-introspection.h $(RUBYARCHDIR)

install: install-pc
install-pc:
	if test -n "$(pkgconfigdir)"; then				\
	  $(MAKEDIRS) $(pkgconfigdir);					\
	  $(INSTALL_DATA) ruby-gobject-introspection.pc $(pkgconfigdir);\
	fi

=== debian/changelog ===
ruby-gnome2 (2.2.5-4build1) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 09:32:03 +0000

ruby-gnome2 (2.2.5-4) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9.
  * Use https:// in Vcs-* fields.
  * Bump Standards-Version to 3.9.7 (no changes needed).

  [ Christian Hofstaedtler ]
  * Unbreak ruby-gtk3 - ruby-gdk3 relation to allow for binNMUs.
  * Run dh_ruby_fixdepends to get OR-ed libruby depends.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 04 Mar 2016 16:19:27 +0100

ruby-gnome2 (2.2.5-3) unstable; urgency=medium

  * Team upload.
  * Fix arch-indep-only FTBFS.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #804641)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 15 Nov 2015 17:21:16 +0000

ruby-gnome2 (2.2.5-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * Add debian/patches/no-vte.patch
  * Drop ruby-vte{,3,-dbg,3-dbg} packages (Closes: #788024)
    - nothing seems to use these and old vte is up for removal.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Nov 2015 13:06:53 +0000

ruby-gnome2 (2.2.5-1) unstable; urgency=medium

  * New upstream release
  * fix-Gst-init.patch: dropped, already applied upstream
  * debian/copyright: split common license into its own paragraph
  * debian/watch: point to the github repository
  * debian/copyright: point Source: to github repository
  * ruby-gdk3: migrated upstream to gobject introspection, so becomes
    `Architecture: all`
    - ruby-gdk3-dbg package dropped
  * ruby-gtk3 and others: review package dependencies (Closes: #788875)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 Jul 2015 11:16:35 -0300

=== debian/control ===
Source: ruby-gnome2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Cornet <acornet@debian.org>,
           Paul van Tilburg <paulvt@debian.org>,
           Michael Schutte <m.schutte.jr@gmail.com>,
           Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               libgirepository1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtksourceview-3.0-dev,
               libgtksourceview2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libpoppler-glib-dev (>= 0.8.0),
               librsvg2-dev (>= 2.8.0),
               libxmu-dev,
               pkg-config,
               ruby-cairo,
               ruby-pkg-config
Standards-Version: 3.9.7
Homepage: http://ruby-gnome2.sourceforge.jp/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-gnome2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-gnome2.git

Package: ruby-atk
Architecture: any
Depends: ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: ATK bindings for the Ruby language
 ATK is a toolkit providing accessibility interfaces for applications or other
 toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices. This package contains libraries for using
 ATK with the Ruby programming language.

Package: ruby-atk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-atk (= ${binary:Version}),
         ${misc:Depends}
Description: ATK bindings for the Ruby language (debugging symbols)
 ATK is a toolkit providing accessibility interfaces for applications or other
 toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices. This package contains libraries for using
 ATK with the Ruby programming language.
 .
 This package contains the debugging symbols.

Package: ruby-cairo-gobject
Architecture: any
Depends: ruby | ruby-interpreter,
         ruby-cairo,
         ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: CairoGObject bindings for the Ruby language
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends; CairoGObject provides
 wrapper GObject types for all Cairo types.
 This package contains libraries for CairoGObject with the Ruby
 language.

Package: ruby-cairo-gobject-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-cairo-gobject (= ${binary:Version}),
         ${misc:Depends}
Description: CairoGObject bindings for the Ruby language (debugging symbols)
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.  This package contains libraries
 for using wrappers for GObject types for all Cairo types with the Ruby
 language.
 .
 This package contains the debugging symbols.

Package: ruby-clutter
Architecture: all
Priority: extra
Depends: gir1.2-clutter-1.0,
         ruby | ruby-interpreter,
         ruby-atk (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends}
Description: Clutter bindings for the Ruby language
 Clutter is a GObject based library for creating fast, visually rich,
 graphical user interfaces.  Clutter works by manipulating a scene-graph of
 2D surfaces, or 'actors', inside a 3D space.  This package contains
 libraries for using Clutter with the Ruby language.

Package: ruby-clutter-gstreamer
Architecture: all
Priority: extra
Depends: gir1.2-clutter-gst-2.0,
         ruby | ruby-interpreter,
         ruby-clutter (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gstreamer (>= ${source:Version}),
         ${misc:Depends}
Description: Clutter-GStreamer bindings for the Ruby language
 Clutter-GStreamer provides a Clutter interface implementation using
 GStreamer for basic video and audio playback.  This package contains
 libraries for using Clutter-GStreamer with the Ruby language.

Package: ruby-clutter-gtk
Architecture: all
Priority: extra
Depends: gir1.2-gtkclutter-1.0,
         ruby | ruby-interpreter,
         ruby-clutter (>= ${source:Version}),
         ruby-gtk3 (>= ${source:Version}),
         ${misc:Depends}
Description: Clutter-Gtk bindings for the Ruby language
 Clutter-Gtk is an integration library for the Clutter toolkit providing
 access and integration for the GTK+ library.  Clutter-Gtk allows embedding
 a Clutter scene graph into a GTK+ application; retrieving themeing
 information; integrate GTK+ data structures and object classes with
 Clutter actors.  This package contains libraries for using Clutter-Gtk
 with the Ruby language.

Package: ruby-gdk-pixbuf2
Architecture: any
Depends: ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Gdk-Pixbuf 2 bindings for the Ruby language
 Gdk-Pixbuf is a library for loading and rendering images. This package
 contains libraries for using Gdk-Pixbuf with the Ruby programming language.

Package: ruby-gdk-pixbuf2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gdk-pixbuf2 (= ${binary:Version}),
         ${misc:Depends}
Description: Gdk-Pixbuf 2 bindings for the Ruby language (debugging symbols)
 Gdk-Pixbuf is a library for loading and rendering images. This package
 contains libraries for using Gdk-Pixbuf with the Ruby programming language.
 .
 This package contains the debugging symbols.

Package: ruby-gdk3
Architecture: all
Depends: ruby | ruby-interpreter,
         ruby-atk (>= ${source:Version}),
         ruby-cairo-gobject (>= ${source:Version}),
         ruby-gdk-pixbuf2 (>= ${source:Version}),
         ruby-gobject-introspection (>= ${source:Version}),
         ruby-pango (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GDK 3 bindings for the Ruby language
 GDK is a computer graphics library that acts as a wrapper around the
 low-level drawing and windowing functions provided by the underlying
 graphics system.  It is mainly use by GTK+ 3.
 This package contains libraries for using GDK 3 with the Ruby programming
 language.

Package: ruby-gio2
Architecture: any
Depends: gir1.2-glib-2.0,
         ruby-glib2 (= ${binary:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GIO bindings for the Ruby language
 GIO is a I/O stack for GLIB/GTK+ applications. This package provides GIO
 bindings to be used in Ruby programs.

Package: ruby-gio2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gio2 (= ${binary:Version}),
         ${misc:Depends}
Description: GIO bindings for the Ruby language (debugging symbols)
 GIO is a I/O stack for GLIB/GTK+ applications. This package provides GIO
 bindings to be used in Ruby programs.
 .
 This package provides debugging symbols.

Package: ruby-glib2
Architecture: any
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GLib 2 bindings for the Ruby language
 GLib is a useful general-purpose C library, notably used by GTK+ and GNOME.
 This package contains libraries for using GLib 2 with the Ruby programming
 language. It is most likely useful in conjunction with Ruby bindings for
 other libraries such as GTK+.

Package: ruby-glib2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-glib2 (= ${binary:Version}),
         ${misc:Depends}
Description: GLib 2 bindings for the Ruby language (debugging symbols)
 GLib is a useful general-purpose C library, notably used by GTK+ and GNOME.
 This package contains libraries for using GLib 2 with the Ruby programming
 language. It is most likely useful in conjunction with Ruby bindings for
 other libraries such as GTK+.
 .
 This package contains the debugging symbols.

Package: ruby-gnome2
Architecture: all
Depends: ruby-atk,
         ruby-cairo-gobject,
         ruby-gdk-pixbuf2,
         ruby-gdk3,
         ruby-gio2,
         ruby-gstreamer,
         ruby-gtk3,
         ruby-gtksourceview2,
         ruby-gtksourceview3,
         ruby-pango,
         ruby-poppler,
         ruby-rsvg2,
         ${misc:Depends}
Description: GNOME-related bindings for the Ruby language
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This is an empty package that depends on the various packages that provide
 the individual bindings.

Package: ruby-gnome2-dev
Architecture: any
Section: libdevel
Depends: ruby-all-dev,
         ruby-gnome2,
         ruby-pkg-config,
         ${misc:Depends}
Description: GNOME-related bindings for the Ruby language (development files)
 These bindings allow use of the GNOME developer platform using the Ruby
 programming language.
 .
 This package contains development files required to build ruby-gnome2
 extensions.

Package: ruby-gobject-introspection
Architecture: any
Depends: ruby | ruby-interpreter,
         ruby-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject Introspection bindings for the Ruby language
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries.  This introspection data can
 be used in several different use cases, for example automatic code
 generation for bindings, API verification and documentation generation.
 This package contains library for using GObject Introspection with the
 Ruby programming language.

Package: ruby-gobject-introspection-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gobject-introspection (= ${binary:Version}),
         ${misc:Depends}
Description: GObject Introspection bindings for the Ruby (debugging symbols)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries.  This introspection data can
 be used in several different use cases, for example automatic code
 generation for bindings, API verification and documentation generation.
 This package contains library for using GObject Introspection with the
 Ruby programming language.
 .
 This package contains the debugging symbols.

Package: ruby-gstreamer
Architecture: any
Depends: gir1.2-gstreamer-1.0,
         ruby-atk (= ${binary:Version}),
         ruby-gdk-pixbuf2 (= ${binary:Version}),
         ruby-gobject-introspection (= ${binary:Version}),
         ruby-pango (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GStreamer bindings for the Ruby language
 GStreamer is a media processing framework with support for a wide variety of
 data sources, sinks, and formats through the use of dynamically loaded
 plugins. This package contains libraries for using GStreamer with the Ruby
 programming language.

Package: ruby-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-gstreamer (= ${binary:Version}),
         ${misc:Depends}
Description: GStreamer bindings for the Ruby language (debugging symbols)
 GStreamer is a media processing framework with support for a wide variety of
 data sources, sinks, and formats through the use of dynamically loaded
 plugins. This package contains libraries for using GStreamer with the Ruby
 programming language.
 .
 This package contains the debugging symbols.

Package: ruby-gtk2
Architecture: any
Depends: ruby-atk (= ${binary:Version}),
         ruby-gdk-pixbuf2 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	#debian/check-upstream-versus-debian
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)

ruby_versions = $(shell dh_ruby --print-supported)

.PHONY: $(ruby_versions)

override_dh_auto_install: $(ruby_versions)
	dh_auto_install

$(ruby_versions):
	debian/build $@

override_dh_strip:
	for i in $$(sed -n '/Package: ruby-.*-dbg/ { s/Package: \(.*\)-dbg/\1/ p }' debian/control) ; do \
		dh_strip -p$$i --dbg-package=$$i-dbg ; \
	done
	dh_strip

override_dh_fixperms-arch:
	dh_fixperms
	# Remove executable flag from some examples that aren't actually executable.
	chmod -x debian/ruby-glib2/usr/share/doc/ruby-glib2/examples/type-register*.rb
	chmod -x debian/ruby-gtk2/usr/share/doc/ruby-gtk2/examples/misc/properties.rb
	chmod -x debian/ruby-gtk3/usr/share/doc/ruby-gtk3/examples/misc/properties.rb

override_dh_compress:
	dh_compress -X.rb

override_dh_shlibdeps:
	dh_shlibdeps
	dh_ruby_fixdepends

=== debian/watch ===
version=3
https://github.com/ruby-gnome2/ruby-gnome2/releases .*/([0-9.]+).tar.gz
